package service

import (
	"context"
	"github.com/go-kratos/kratos/v2/log"
	"hilo/app/service/country/internal/dao"
	"hilo/app/service/country/internal/model"
)

// CountryService is a Country service.
type CountryService struct {
	dao *dao.Dao
	log *log.Helper
}

func NewCountryService(dao *dao.Dao) *CountryService {
	return &CountryService{
		dao: dao,
		log: log.NewHelper(log.GetLogger()),
	}
}

func (s *CountryService) GetCountryByShortName(ctx context.Context, shortName string) (*model.ResCountry, error) {
	return s.dao.GetCountryByShortName(shortName)

}
